Chat on WhatsApp
हमारा ऐप इंस्टॉल करें 🪄 पता बार के ऊपर दाईं ओर आइकन पर क्लिक करें।

व्यक्तिगत सूचनाएँ

GET https://pushify.com/api/personal-notifications/
curl --request GET \
--url 'https://pushify.com/api/personal-notifications/' \
--header 'Authorization: Bearer {api_key}' \
पैरामीटर विवरण विवरण
search वैकल्पिक स्ट्रिंग खोज स्ट्रिंग।
search_by वैकल्पिक स्ट्रिंग आप किस फ़ील्ड द्वारा खोज रहे हैं. अनुमत मान हैं: name, title, description, url.
website_id वैकल्पिक पूर्णांक
status वैकल्पिक स्ट्रिंग अनुमत मान: draft, scheduled, processing, sent
datetime_field वैकल्पिक स्ट्रिंग अनुमत मान: datetime, last_datetime, sent_datetime, scheduled_datetime
datetime_start वैकल्पिक स्ट्रिंग इस दिनांक-समय से शुरू होने वाले परिणाम फ़िल्टर करें। Y-m-d H:i:s प्रारूप।
datetime_end वैकल्पिक स्ट्रिंग इस दिनांक-समय तक परिणामों को फ़िल्टर करें। Y-m-d H:i:s प्रारूप।
order_by वैकल्पिक स्ट्रिंग परिणामों को किस फ़ील्ड के आधार पर क्रमबद्ध करना है। अनुमत मान हैं: personal_notification_id, datetime, last_datetime, sent_datetime, scheduled_datetime, name, title.
order_type वैकल्पिक स्ट्रिंग परिणामों का क्रम। अनुमत मान हैं: आरोही क्रम के लिए ASC, और अवरोही क्रम के लिए DESC
page वैकल्पिक पूर्णांक वह पृष्ठ संख्या जिससे आप परिणाम चाहते हैं. डिफ़ॉल्ट 1 है.
results_per_page वैकल्पिक पूर्णांक आप प्रति पृष्ठ कितने परिणाम चाहते हैं। अनुमत मान हैं: 10, 25, 50, 100, 250, 500, 1000. डिफ़ॉल्ट 25 है।
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "website_id": 1,
            "subscriber_id": 1,
            "name": "Example",
            "title": "Sample message",
            "description": "This is coming from the API.",
            "url": "https://example.com",
            "image_url": null,
            "settings": {
                "is_scheduled": 0,
                "ttl": 2419200,
                "urgency": "normal",
                "is_silent": 0,
                "is_auto_hide": 0,
                "button_title_1": "",
                "button_url_1": "",
                "button_title_2": "",
                "button_url_2": ""
            },
            "is_sent": 1,
            "is_displayed": 1,
            "is_clicked": 0,
            "is_closed": 0,
            "status": "sent",
            "scheduled_datetime": "2024-08-02 17:00:43",
            "sent_datetime": "2024-08-02 17:00:43",
            "last_datetime": null,
            "datetime": "2026-05-19 00:14:46",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://pushify.com/api/personal-notifications?page=1",
        "last": "https://pushify.com/api/personal-notifications?page=1",
        "next": null,
        "prev": null,
        "self": "https://pushify.com/api/personal-notifications?page=1"
    }
}
GET https://pushify.com/api/personal-notifications/{personal_notification_id}
curl --request GET \
--url 'https://pushify.com/api/personal-notifications/{personal_notification_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "website_id": 1,
        "subscriber_id": 1,
        "name": "Example",
        "title": "Sample message",
        "description": "This is coming from the API.",
        "url": "https://example.com",
        "image_url": null,
        "settings": {
            "is_scheduled": 0,
            "ttl": 2419200,
            "urgency": "normal",
            "is_silent": 0,
            "is_auto_hide": 0,
            "button_title_1": "",
            "button_url_1": "",
            "button_title_2": "",
            "button_url_2": ""
        },
        "is_sent": 1,
        "is_displayed": 1,
        "is_clicked": 0,
        "is_closed": 0,
        "status": "sent",
        "scheduled_datetime": "2024-08-02 17:00:43",
        "sent_datetime": "2024-08-02 17:00:43",
        "last_datetime": null,
        "datetime": "2026-05-19 00:14:46",
    }
}
POST https://pushify.com/api/personal-notifications
पैरामीटर विवरण विवरण
website_id आवश्यक पूर्णांक -
subscriber_id आवश्यक पूर्णांक -
name आवश्यक स्ट्रिंग -
title आवश्यक स्ट्रिंग -
description आवश्यक स्ट्रिंग -
url वैकल्पिक स्ट्रिंग -
image वैकल्पिक फ़ाइल -
button_title_1 वैकल्पिक स्ट्रिंग -
button_url_1 वैकल्पिक स्ट्रिंग -
button_title_2 वैकल्पिक स्ट्रिंग -
button_url_2 वैकल्पिक स्ट्रिंग -
is_scheduled वैकल्पिक बूलियन -
scheduled_datetime वैकल्पिक स्ट्रिंग -
is_silent वैकल्पिक बूलियन -
is_auto_hide वैकल्पिक बूलियन -
ttl वैकल्पिक स्ट्रिंग अनुमत मान: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200
utm_source वैकल्पिक स्ट्रिंग -
utm_medium वैकल्पिक स्ट्रिंग -
utm_campaign वैकल्पिक स्ट्रिंग -
save वैकल्पिक बूलियन ड्राफ्ट सहेजें
send वैकल्पिक बूलियन व्यक्तिगत सूचना भेजें
curl --request POST \
--url 'https://pushify.com/api/personal-notifications' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'subscriber_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
{
    "data": {
        "id": 1
    }
}
POST https://pushify.com/api/personal-notifications/{personal_notification_id}
पैरामीटर विवरण विवरण
website_id वैकल्पिक पूर्णांक -
subscriber_id वैकल्पिक पूर्णांक -
name वैकल्पिक स्ट्रिंग -
title वैकल्पिक स्ट्रिंग -
description वैकल्पिक स्ट्रिंग -
url वैकल्पिक स्ट्रिंग -
image वैकल्पिक फ़ाइल -
button_title_1 वैकल्पिक स्ट्रिंग -
button_url_1 वैकल्पिक स्ट्रिंग -
button_title_2 वैकल्पिक स्ट्रिंग -
button_url_2 वैकल्पिक स्ट्रिंग -
is_scheduled वैकल्पिक बूलियन -
scheduled_datetime वैकल्पिक स्ट्रिंग -
is_silent वैकल्पिक बूलियन -
is_auto_hide वैकल्पिक बूलियन -
ttl वैकल्पिक स्ट्रिंग अनुमत मान: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200
utm_source वैकल्पिक स्ट्रिंग -
utm_medium वैकल्पिक स्ट्रिंग -
utm_campaign वैकल्पिक स्ट्रिंग -
save वैकल्पिक बूलियन ड्राफ्ट सहेजें
send वैकल्पिक बूलियन व्यक्तिगत सूचना भेजें
curl --request POST \
--url 'https://pushify.com/api/personal-notifications/{personal_notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'subscriber_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
{
    "data": {
        "id": 1
    }
}
DELETE https://pushify.com/api/personal-notifications/{personal_notification_id}
curl --request DELETE \
--url 'https://pushify.com/api/personal-notifications/{personal_notification_id}' \
--header 'Authorization: Bearer {api_key}' \